﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using SDCard.Resources;
using Microsoft.Phone.Storage;
using System.IO;

namespace SDCard
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();

            // Sample code to localize the ApplicationBar
            //BuildLocalizedApplicationBar();
        }

        private async void Button_Click(object sender, RoutedEventArgs e)
        {
            await ListSDCardFileContents();
        }

        private async System.Threading.Tasks.Task ListSDCardFileContents()
        {
            ExternalStorageDevice sdCard = (await ExternalStorage.GetExternalStorageDevicesAsync()).FirstOrDefault();
            if (sdCard != null)
            {
                ExternalStorageFolder sdRootFolder = sdCard.RootFolder;
                if (sdRootFolder != null)
                {
                    var files = await sdRootFolder.GetFilesAsync();
                    if (files != null)
                    {
                        foreach (ExternalStorageFile file in files)
                        {
                            Stream s = await file.OpenForReadAsync();
                            if (s != null || s.Length == 0)
                            {
                                long streamLength = s.Length;
                                StreamReader sr = new StreamReader(s);
                                MessageBox.Show(sr.ReadToEnd());
                            }
                            else
                            {
                                MessageBox.Show("Không có file .lrc trong thẻ nhớ của bạn");
                            }
                        }
                    }
                }
                else
                {
                    MessageBox.Show("Không thể lấy được thư mục gốc trên thẻ nhớ của bạn");
                }
            }
            else
            {
                MessageBox.Show("Không tìm thấy thẻ nhớ!");
            }
        }

        
    }
}